# $Revision: 1.21 $, $Date: 2012/03/02 20:04:38 $
#
# Conditional build:
%bcond_without	asm	# x86 assembler
#
Summary:	VP8, a high-quality video codec
Summary(pl.UTF-8):	VP8 - kodek obrazu wysokiej jakości
Name:		libvpx
Version:	1.0.0
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: http://code.google.com/p/webm/downloads/list
Source0:	https://webm.googlecode.com/files/%{name}-v%{version}.tar.bz2
# Source0-md5:	d987b5140412edd37d2c6b10c29ad484
URL:		http://www.webmproject.org/
BuildRequires:	/usr/bin/php
BuildRequires:	doxygen
BuildRequires:	php-common >= 4:5.0.0
BuildRequires:	php-pcre
BuildRequires:	sed >= 4.0
%ifarch %{ix86} %{x8664}
%{?with_asm:BuildRequires:	yasm}
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VP8, a high-quality video codec.

%description -l pl.UTF-8
VP8 - kodek obrazu wysokiej jakości.

%package devel
Summary:	Header files for libvpx
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libvpx
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libvpx library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libvpx.

%package static
Summary:	Static libvpx library
Summary(pl.UTF-8):	Statyczna biblioteka libvpx
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libvpx library.

%description static -l pl.UTF-8
Statyczna biblioteka libvpx.

%prep
%setup -q -n %{name}-v%{version}

%build
install -d obj
cd obj
# not autoconf configure
CFLAGS="%{rpmcflags} %{rpmcppflags}" \
../configure \
%if %{with asm}
	--as=yasm \
%ifarch %{x8664}
	--target=x86_64-linux-gcc \
%endif
%ifarch %{ix86}
	--target=x86-linux-gcc \
%endif
%else
	--target=generic-gnu \
%endif
	--enable-shared \
	--disable-optimizations \
	--enable-vp8 \
	--enable-postproc \
	--enable-runtime-cpu-detect

%{__make} verbose=true target=libs \
	HAVE_GNU_STRIP=no \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags}"

%{__make} verbose=true target=examples \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags} -L."
%{__make} verbose=true target=docs

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_includedir}/vpx,%{_libdir}}

%{__make} -C obj verbose=true install \
	LIBSUBDIR=%{_lib} \
	DIST_DIR=$RPM_BUILD_ROOT%{_prefix}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libvpx.so.1.0

# adjust prefix and libdir
sed -i -e 's,^prefix=.*,prefix=%{_prefix},;s,^libdir=.*,libdir=%{_libdir},' $RPM_BUILD_ROOT%{_pkgconfigdir}/vpx.pc

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG LICENSE PATENTS README
%attr(755,root,root) %{_bindir}/vp8_scalable_patterns
%attr(755,root,root) %{_bindir}/vpxdec
%attr(755,root,root) %{_bindir}/vpxenc
%attr(755,root,root) %{_libdir}/libvpx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvpx.so.1

%files devel
%defattr(644,root,root,755)
%doc vp8_api1_migration.txt
%attr(755,root,root) %{_libdir}/libvpx.so
%{_includedir}/vpx
%{_pkgconfigdir}/vpx.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libvpx.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libvpx.spec,v $
Revision 1.21  2012/03/02 20:04:38  qboosh
- updated to 1.0.0 (note: new soname; also fixes an OOB read decoder crash)

Revision 1.20  2011/12/27 23:11:11  glen
- update to p1:
  2011-08-15 v0.9.7-p1 "Cayuga" patch 1
  Fix potential OOB reads (cdae03a)

Revision 1.19  2011/08/07 10:11:01  qboosh
- updated to 0.9.7
- removed obsolete 0.9.0-no-explicit-dep-on-static-lib patch and unused external libvpx.ver
- package vpx.pc (adjusting wrt. proper prefix and libdir)

Revision 1.18  2011/03/09 21:50:17  charles
- updated to 0.9.6

Revision 1.17  2011/01/08 19:49:02  glen
- disable possible strip via HAVE_GNU_STRIP=no
- use make install to install files

Revision 1.16  2011/01/07 19:14:28  atler
- drop broken manual shared linking and --enable-shared
- use %{rpmldflags}
- rel 2

Revision 1.15  2010/11/01 10:50:32  qboosh
- pl
- BR yasm only on x86
- actually use optflags (pass by configure instead of outdated sed rule)

Revision 1.14  2010/10/31 15:44:19  glen
- up to 0.9.5

Revision 1.13  2010/09/15 17:38:35  arekm
- up to 0.9.2

Revision 1.12  2010/06/18 06:02:49  arekm
- up to 0.9.1

Revision 1.11  2010/06/04 18:50:17  glen
- do not package shared lib in devel, but symlink; rel 4

Revision 1.10  2010/05/27 11:47:30  arekm
- rel 3; x86_64 asm optimized now; nicer way of linking shared lib; export only required symbols not all crap

Revision 1.9  2010/05/23 15:54:36  glen
- undo more overwrite in r1.3

Revision 1.8  2010/05/21 06:40:46  glen
- revert changelog overwrite, cosmetics

Revision 1.7  2010/05/20 17:21:13  arekm
- rel 2

Revision 1.6  2010/05/20 17:18:31  arekm
- rel 1; no asm on x86_64 due to PIC problems

Revision 1.5  2010/05/20 17:15:45  arekm
- no asm mode

Revision 1.4  2010/05/20 17:05:46  arekm
- include files in vpx subdir

Revision 1.3  2010/05/20 14:05:54  arekm
- build on x86

Revision 1.2  2010/05/19 21:55:47  sparky
- BR: doxygen, php-pcre, php-program (for doc generator), yasm

Revision 1.1  2010/05/19 18:47:07  arekm
- initial
